import express from "express";
import MessageAbl from "../abl/Message-abl";
import validator from "../validator/validator";
const router = express.Router();

router.post("/addFlag", async (req, res) => {
    await validator.validate("addFlag", req.body, res, MessageAbl.addFlag);
});

router.post("/removeFlag", async (req, res) => {
    await validator.validate("removeFlag", req.body, res, MessageAbl.removeFlag);
});

router.post("/deleteRemote", async(req, res) => {
    await validator.validate("delete", req.body, res, MessageAbl.deleteRemoteOnly);
});

router.post("/delete", async(req, res) => {
    await validator.validate("delete", req.body, res, MessageAbl.deleteEverywhere);
});


export default router;
